Skip to main content
`Ctrl`+`K`

# SNESNASMGetType

Get the type of subdomain update used for the nonlinear additive Schwarz solver `SNESNASM`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetType(SNES snes, PCASMType *type)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- type - the type of update

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNASM`, `SNESNASMSetType()`, `PCASMGetType()`, `PC_ASM_BASIC`, `PC_ASM_RESTRICT`, `PCASMType`

## Level

intermediate

## Location

src/snes/impls/nasm/nasm.c

## Implementations

SNESNASMGetType_NASM() in src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages